/***************************************************************************
 *            ovc-applet-log-window.h
 *
 *  Sat Jul  1 09:51:31 2006
 *  Copyright  2006  Andrea Del Signore
 *  sejerpz@tin.it
 ***************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <gtk/gtk.h>
#include <glib.h>
#include "ovc-connection.h"

typedef enum
{
	LOG_MESSAGE_NORMAL,
	LOG_MESSAGE_INFO
} LOG_MESSAGE_TYPES;

GtkWidget* ovc_create_log_window (const gchar *glage_file);
void ovc_log_window_append_message(LOG_MESSAGE_TYPES message_type, 
								gchar *connection, 
								gchar *message);
void
ovc_combo_box_remove_connection(OvcConnection *connection);

void 
ovc_combo_box_connection_status_changing(OvcConnection *connection, 
										 OVC_CONNECTION_STATES status);
