/***************************************************************************
 *            ovc-applet.h
 *
 *  Sat Jul  1 09:01:54 2006
 *  Copyright  2006  Andrea Del Signore
 *  sejerpz@tin.it
 ***************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef OVC_APPLET_H
#define OVC_APPLET_H

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#define OVC_TYPE_APPLET         (ovc_applet_get_type ())
#define OVC_APPLET(o)           (G_TYPE_CHECK_INSTANCE_CAST ((o), OVC_TYPE_APPLET, OvcApplet))
#define OVC_APPLET_CLASS(k)     (G_TYPE_CHECK_CLASS_CAST((k), OVC_TYPE_APPLET, OvcAppletClass))
#define OVC_IS_APPLET(o)        (G_TYPE_CHECK_INSTANCE_TYPE ((o), OVC_TYPE_APPLET))
#define OVC_IS_APPLET_CLASS(k)  (G_TYPE_CHECK_CLASS_TYPE ((k), OVC_TYPE_APPLET))
#define OVC_APPLET_GET_CLASS(o) (G_TYPE_INSTANCE_GET_CLASS ((o), OVC_TYPE_APPLET, OvcAppletClass))

typedef struct _OvcApplet OvcApplet;
typedef struct _OvcAppletPrivate OvcAppletPrivate;
typedef struct _OvcAppletClass OvcAppletClass;

struct _OvcApplet {
	GObject parent;
	OvcAppletPrivate *priv;
};

struct _OvcAppletClass {
	GObjectClass parent_class;
	/* Add Signal Functions Here */
};

enum
{
	OVC_APPLET_CONSTRUCT_APPLET_OBJECT = 1,
};

GType ovc_applet_get_type();
OvcApplet *ovc_applet_new();

G_END_DECLS

#endif /* OVC_APPLET_H */
